package de.uni_passau.fim.PADAS.group3.DataDash.model;

import java.util.List;
import java.util.UUID;
import java.sql.Date;
import org.springframework.data.jpa.repository.JpaRepository;

public interface dataRepository extends JpaRepository<dataset, UUID>{

    List<dataset> findByTitle(String title);
    List<dataset> findByTitleLike(String title);
    List<dataset> findByAuthorLike(String author);
    List<dataset> findByType(Type type);
    List<dataset> findByAutor(String author);
    List<dataset> findByAbstLike(String abst);
    List<dataset> findByDescriptionLike(String description);
    List<dataset> findByCategoriesContainingIgnoreCase(String[] categories);
    List<dataset> findByRaitingGreaterThan(float raiting);
    List<dataset> findByVotesGreaterThan(int votes);
    List<dataset> findByDateAfter(Date date);
    List<dataset> findByDateBefore(Date date);
    List<dataset> findByDateBetween(Date date1, Date date2);
    
}